#ifndef FIND_H
#define FIND_H

#include <kdialogbase.h>

class KHistoryCombo;
class TQCheckBox;
class TQPushButton;

class Finder : public KDialogBase
{
Q_OBJECT
  
public:
	Finder(TQWidget *parent);

	bool regexp() const;
	bool isForward() const;

	TQString string() const;
signals:
	void search(Finder *);

public slots:
	void textChanged(const TQString &);
	void clicked();
	
private:
	KHistoryCombo *mText;
	TQCheckBox *mRegexp, *mBackwards;
};

#endif

